Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.query
Interface Variable

All Known Implementing Classes:
  VMXState.Local

    public interface Variable

A `Variable` represents a query variable of a query. When a query is evaluated, a single `Frame` is allocated which holds the current values of all query variables, and values are bound to the variable within the frame.

Initially, a query variable is not bound to a value. This is indicated by `isSet(de.grogra.xl.query.Frame)` returning `false`. Values are bound via the setter-methods. This includes the method `nullset(de.grogra.xl.query.Frame)` which sets the variable to a null-value, a feature used by optional patterns without match. A binding is removed by `unset(de.grogra.xl.query.Frame)`.

Author:
  Ole Kniemeyer

Method Summary
`java.lang.Object` | `aget(Frame frame)`
`void` | `aset(Frame frame, java.lang.Object value)`
`double` | `dget(Frame frame)`
`void` | `dset(Frame frame, double value)`
`float` | `fget(Frame frame)`
`void` | `fset(Frame frame, float value)`
`int` | `iget(Frame frame)`
`void` | `iset(Frame frame, int value)`
`boolean` | `isNull(Frame frame)`
`boolean` | `isSet(Frame frame)`
`long` | `lget(Frame frame)`
`void` | `lset(Frame frame, long value)`
`void` | `nullset(Frame frame)`
`void` | `unset(Frame frame)`

Method Detail

### aget

    java.lang.Object aget(Frame frame)

### aset

    void aset(Frame frame,
              java.lang.Object value)

### dget

    double dget(Frame frame)

### dset

    void dset(Frame frame,
              double value)

### fget

    float fget(Frame frame)

### fset

    void fset(Frame frame,
              float value)

### iget

    int iget(Frame frame)

### iset

    void iset(Frame frame,
              int value)

### isNull

    boolean isNull(Frame frame)

### isSet

    boolean isSet(Frame frame)

### lget

    long lget(Frame frame)

### lset

    void lset(Frame frame,
              long value)

### nullset

    void nullset(Frame frame)

### unset

    void unset(Frame frame)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD